ranges::v3::view::cycle_fn Struct Reference

## Description

Returns an infinite range that endlessly repeats the source range.

## Synopsis of methods

constexpr view< cycle_fn > | cycle {}

## Public Member Functions

template<typename Rng , requires = (Concept<Rng>())>
cycled_view< all_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## operator()()

template<typename Rng , requires = (Concept<Rng>())>

cycled_view<all_t<Rng> > ranges::v3::view::cycle_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  `!empty(rng)`